io.vertx.rxjava3.ext.shell.term

## Class SignalHandler

- java.lang.Object
- - io.vertx.rxjava3.ext.shell.term.SignalHandler

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class SignalHandler
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<SignalHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignalHandler(Object delegate)`
    `SignalHandler(SignalHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `deliver(int key)`
    `boolean` | `equals(Object o)`
    `SignalHandler` | `getDelegate()`
    `int` | `hashCode()`
    `static SignalHandler` | `newInstance(SignalHandler arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SignalHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### SignalHandler

          public SignalHandler(SignalHandler delegate)

    - #### SignalHandler

          public SignalHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SignalHandler getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### deliver

          public boolean deliver(int key)

    - #### newInstance

          public static SignalHandler newInstance(SignalHandler arg)

Copyright © 2025 Eclipse. All rights reserved.